import { AnyConstructor, ThreeObject3d } from '@angular-three/core';
import { EventEmitter, OnInit } from '@angular/core';
import type { Object3D } from 'three';
import { Audio } from 'three';
import { AudioListenerDirective } from '../audio-listener';
export declare abstract class ThreeAudio<TAudioNode extends AudioNode = GainNode, TAudio extends Audio<TAudioNode> = Audio<TAudioNode>> implements OnInit {
    private readonly listenerDirective?;
    protected readonly parentObjectDirective?: ThreeObject3d<Object3D> | undefined;
    object3d?: Object3D;
    ready: EventEmitter<TAudio>;
    constructor(listenerDirective?: AudioListenerDirective | undefined, parentObjectDirective?: ThreeObject3d<Object3D> | undefined);
    abstract audioType: AnyConstructor<TAudio>;
    private _audio?;
    ngOnInit(): void;
    get audio(): TAudio | undefined;
}
