import { OBJECT_3D_CONTROLLER_PROVIDER, ThreeObject3d, } from '@angular-three/core';
import { Directive, Input } from '@angular/core';
import { CubeCamera } from 'three';
export class CubeCameraDirective extends ThreeObject3d {
    ngOnInit() {
        this.init();
    }
    initObject() {
        this._camera = new CubeCamera(...this.args);
    }
    get object3d() {
        return this._camera;
    }
}
CubeCameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-cube-camera',
                exportAs: 'ngtCubeCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: CubeCameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
CubeCameraDirective.propDecorators = {
    args: [{ type: Input }]
};
//# sourceMappingURL=cube-camera.directive.js.map