import { Directive, Input, NgZone, Optional } from '@angular/core';
import { ThreeBufferGeometry } from './geometry.abstract';
export class ThreeCurve {
    constructor(ngZone, geometryDirective) {
        this.ngZone = ngZone;
        this.geometryDirective = geometryDirective;
        this._extraArgs = [];
    }
    set extraArgs(v) {
        this._extraArgs = v;
    }
    ngOnInit() {
        this.ngZone.runOutsideAngular(() => {
            this._curve = new this.curveType(...this._extraArgs);
            if (this.curve && this.geometryDirective) {
                const points = this.curve.getPoints(this.divisions);
                this.geometryDirective.bufferGeometry.setFromPoints(points);
            }
        });
    }
    get curve() {
        return this._curve;
    }
}
ThreeCurve.decorators = [
    { type: Directive }
];
ThreeCurve.ctorParameters = () => [
    { type: NgZone },
    { type: ThreeBufferGeometry, decorators: [{ type: Optional }] }
];
ThreeCurve.propDecorators = {
    divisions: [{ type: Input }]
};
//# sourceMappingURL=curve.abstract.js.map