import { Directive } from '@angular/core';
import { ThreeObject3d } from './object-3d.abstract';
export class ThreeHelper extends ThreeObject3d {
    constructor() {
        super(...arguments);
        this._extraArgs = [];
        this.inputChangeHandler = () => {
            if (!this.object3d) {
                this.init();
            }
        };
    }
    set extraArgs(v) {
        this._extraArgs = v;
    }
    ngOnChanges() {
        super.ngOnChanges();
        if (!this.object3d) {
            this.init();
        }
    }
    ngOnInit() {
        this.init();
    }
    initObject() {
        try {
            this._helper = new this.helperType(...this._extraArgs);
        }
        catch (e) {
            console.log('Failed to initialize Helper');
        }
    }
    get object3d() {
        return this._helper;
    }
}
ThreeHelper.decorators = [
    { type: Directive }
];
//# sourceMappingURL=helper.abstract.js.map