import { OBJECT_3D_CONTROLLER_PROVIDER, ThreeMesh, ThreeObject3d, } from '@angular-three/core';
import { Directive, Input } from '@angular/core';
import { SkinnedMesh } from 'three';
export class SkinnedMeshDirective extends ThreeMesh {
    constructor() {
        super(...arguments);
        this.meshType = SkinnedMesh;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
SkinnedMeshDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-skinned-mesh',
                exportAs: 'ngtSkinnedMesh',
                providers: [
                    { provide: ThreeObject3d, useExisting: SkinnedMeshDirective },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
SkinnedMeshDirective.propDecorators = {
    args: [{ type: Input }],
    bindMatrix: [{ type: Input }],
    bindMode: [{ type: Input }]
};
//# sourceMappingURL=skinned-mesh.directive.js.map