import { OBJECT_3D_CONTROLLER_PROVIDER, ThreeBufferGeometry, ThreeMaterial, ThreeObject3d, ThreeObject3dMaterialGeometry, } from '@angular-three/core';
import { ContentChild, ContentChildren, Directive } from '@angular/core';
import { Points } from 'three';
export class PointsDirective extends ThreeObject3dMaterialGeometry {
    set materialDirectives(v) {
        if (this.material == null && v) {
            this.material =
                v.length === 1
                    ? v.first.material
                    : v.toArray().map((dir) => dir.material);
        }
    }
    set bufferGeometryDirective(v) {
        if (this.geometry == null) {
            this.geometry = v.bufferGeometry;
        }
    }
    get objectType() {
        return Points;
    }
}
PointsDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-points',
                exportAs: 'ngtPoints',
                providers: [
                    { provide: ThreeObject3d, useExisting: PointsDirective },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PointsDirective.propDecorators = {
    materialDirectives: [{ type: ContentChildren, args: [ThreeMaterial,] }],
    bufferGeometryDirective: [{ type: ContentChild, args: [ThreeBufferGeometry,] }]
};
//# sourceMappingURL=points.directive.js.map