import { ThreeObject3d, OBJECT_3D_CONTROLLER_PROVIDER, ThreeCamera } from '@angular-three/core';
import { Directive, Input, NgModule } from '@angular/core';
import { CubeCamera, Camera, PerspectiveCamera, OrthographicCamera, ArrayCamera, StereoCamera } from 'three';

class CubeCameraDirective extends ThreeObject3d {
    ngOnInit() {
        this.init();
    }
    initObject() {
        this._camera = new CubeCamera(...this.args);
    }
    get object3d() {
        return this._camera;
    }
}
CubeCameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-cube-camera',
                exportAs: 'ngtCubeCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: CubeCameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
CubeCameraDirective.propDecorators = {
    args: [{ type: Input }]
};

class ThreeCubeCameraModule {
}
ThreeCubeCameraModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CubeCameraDirective],
                exports: [CubeCameraDirective],
            },] }
];

// GENERATED
class CameraDirective extends ThreeCamera {
    constructor() {
        super(...arguments);
        this.cameraType = Camera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
CameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-camera',
                exportAs: 'ngtCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: CameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
CameraDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeCameraModule {
}
ThreeCameraModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CameraDirective],
                exports: [CameraDirective],
            },] }
];

// GENERATED

// GENERATED
class PerspectiveCameraDirective extends ThreeCamera {
    constructor() {
        super(...arguments);
        this.cameraType = PerspectiveCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
PerspectiveCameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-perspective-camera',
                exportAs: 'ngtPerspectiveCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: PerspectiveCameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PerspectiveCameraDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreePerspectiveCameraModule {
}
ThreePerspectiveCameraModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PerspectiveCameraDirective],
                exports: [PerspectiveCameraDirective],
            },] }
];

// GENERATED

// GENERATED
class OrthographicCameraDirective extends ThreeCamera {
    constructor() {
        super(...arguments);
        this.cameraType = OrthographicCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
OrthographicCameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-orthographic-camera',
                exportAs: 'ngtOrthographicCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: OrthographicCameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
OrthographicCameraDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeOrthographicCameraModule {
}
ThreeOrthographicCameraModule.decorators = [
    { type: NgModule, args: [{
                declarations: [OrthographicCameraDirective],
                exports: [OrthographicCameraDirective],
            },] }
];

// GENERATED

// GENERATED
class ArrayCameraDirective extends ThreeCamera {
    constructor() {
        super(...arguments);
        this.cameraType = ArrayCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
ArrayCameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-array-camera',
                exportAs: 'ngtArrayCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: ArrayCameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
ArrayCameraDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeArrayCameraModule {
}
ThreeArrayCameraModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ArrayCameraDirective],
                exports: [ArrayCameraDirective],
            },] }
];

// GENERATED

// GENERATED
class StereoCameraDirective extends ThreeCamera {
    constructor() {
        super(...arguments);
        this.cameraType = StereoCamera;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
StereoCameraDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-stereo-camera',
                exportAs: 'ngtStereoCamera',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: StereoCameraDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
StereoCameraDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeStereoCameraModule {
}
ThreeStereoCameraModule.decorators = [
    { type: NgModule, args: [{
                declarations: [StereoCameraDirective],
                exports: [StereoCameraDirective],
            },] }
];

// GENERATED

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { ArrayCameraDirective, CameraDirective, CubeCameraDirective, OrthographicCameraDirective, PerspectiveCameraDirective, StereoCameraDirective, ThreeArrayCameraModule, ThreeCameraModule, ThreeCubeCameraModule, ThreeOrthographicCameraModule, ThreePerspectiveCameraModule, ThreeStereoCameraModule };
//# sourceMappingURL=angular-three-core-cameras.js.map
