import { ThreeHelper, ThreeObject3d, OBJECT_3D_CONTROLLER_PROVIDER } from '@angular-three/core';
import { Directive, Input, NgModule } from '@angular/core';
import { ArrowHelper, AxesHelper, BoxHelper, Box3Helper, GridHelper, CameraHelper, DirectionalLightHelper, HemisphereLightHelper, PlaneHelper, PointLightHelper, PolarGridHelper, SkeletonHelper, SpotLightHelper } from 'three';

// GENERATED
class ArrowHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = ArrowHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
ArrowHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-arrow-helper',
                exportAs: 'ngtArrowHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: ArrowHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
ArrowHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeArrowHelperModule {
}
ThreeArrowHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ArrowHelperDirective],
                exports: [ArrowHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class AxesHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = AxesHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
AxesHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-axes-helper',
                exportAs: 'ngtAxesHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: AxesHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
AxesHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeAxesHelperModule {
}
ThreeAxesHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [AxesHelperDirective],
                exports: [AxesHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class BoxHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = BoxHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
BoxHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-box-helper',
                exportAs: 'ngtBoxHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: BoxHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
BoxHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeBoxHelperModule {
}
ThreeBoxHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [BoxHelperDirective],
                exports: [BoxHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class Box3HelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = Box3Helper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
Box3HelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-box3-helper',
                exportAs: 'ngtBox3Helper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: Box3HelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
Box3HelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeBox3HelperModule {
}
ThreeBox3HelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [Box3HelperDirective],
                exports: [Box3HelperDirective],
            },] }
];

// GENERATED

// GENERATED
class GridHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = GridHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
GridHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-grid-helper',
                exportAs: 'ngtGridHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: GridHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
GridHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeGridHelperModule {
}
ThreeGridHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [GridHelperDirective],
                exports: [GridHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class CameraHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = CameraHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
CameraHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-camera-helper',
                exportAs: 'ngtCameraHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: CameraHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
CameraHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeCameraHelperModule {
}
ThreeCameraHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CameraHelperDirective],
                exports: [CameraHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class DirectionalLightHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = DirectionalLightHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
DirectionalLightHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-directional-light-helper',
                exportAs: 'ngtDirectionalLightHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: DirectionalLightHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
DirectionalLightHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeDirectionalLightHelperModule {
}
ThreeDirectionalLightHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DirectionalLightHelperDirective],
                exports: [DirectionalLightHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class HemisphereLightHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = HemisphereLightHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
HemisphereLightHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-hemisphere-light-helper',
                exportAs: 'ngtHemisphereLightHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: HemisphereLightHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
HemisphereLightHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeHemisphereLightHelperModule {
}
ThreeHemisphereLightHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [HemisphereLightHelperDirective],
                exports: [HemisphereLightHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class PlaneHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = PlaneHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
PlaneHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-plane-helper',
                exportAs: 'ngtPlaneHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: PlaneHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PlaneHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreePlaneHelperModule {
}
ThreePlaneHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PlaneHelperDirective],
                exports: [PlaneHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class PointLightHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = PointLightHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
PointLightHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-point-light-helper',
                exportAs: 'ngtPointLightHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: PointLightHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PointLightHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreePointLightHelperModule {
}
ThreePointLightHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PointLightHelperDirective],
                exports: [PointLightHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class PolarGridHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = PolarGridHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
PolarGridHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-polar-grid-helper',
                exportAs: 'ngtPolarGridHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: PolarGridHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PolarGridHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreePolarGridHelperModule {
}
ThreePolarGridHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PolarGridHelperDirective],
                exports: [PolarGridHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class SkeletonHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = SkeletonHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
SkeletonHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-skeleton-helper',
                exportAs: 'ngtSkeletonHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: SkeletonHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
SkeletonHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeSkeletonHelperModule {
}
ThreeSkeletonHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SkeletonHelperDirective],
                exports: [SkeletonHelperDirective],
            },] }
];

// GENERATED

// GENERATED
class SpotLightHelperDirective extends ThreeHelper {
    constructor() {
        super(...arguments);
        this.helperType = SpotLightHelper;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
SpotLightHelperDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-spot-light-helper',
                exportAs: 'ngtSpotLightHelper',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: SpotLightHelperDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
SpotLightHelperDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeSpotLightHelperModule {
}
ThreeSpotLightHelperModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SpotLightHelperDirective],
                exports: [SpotLightHelperDirective],
            },] }
];

// GENERATED

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { ArrowHelperDirective, AxesHelperDirective, Box3HelperDirective, BoxHelperDirective, CameraHelperDirective, DirectionalLightHelperDirective, GridHelperDirective, HemisphereLightHelperDirective, PlaneHelperDirective, PointLightHelperDirective, PolarGridHelperDirective, SkeletonHelperDirective, SpotLightHelperDirective, ThreeArrowHelperModule, ThreeAxesHelperModule, ThreeBox3HelperModule, ThreeBoxHelperModule, ThreeCameraHelperModule, ThreeDirectionalLightHelperModule, ThreeGridHelperModule, ThreeHemisphereLightHelperModule, ThreePlaneHelperModule, ThreePointLightHelperModule, ThreePolarGridHelperModule, ThreeSkeletonHelperModule, ThreeSpotLightHelperModule };
//# sourceMappingURL=angular-three-core-helpers.js.map
