import { ThreeLight, ThreeObject3d, OBJECT_3D_CONTROLLER_PROVIDER } from '@angular-three/core';
import { Directive, Input, NgModule } from '@angular/core';
import { LightProbe, AmbientLight, AmbientLightProbe, HemisphereLight, HemisphereLightProbe, DirectionalLight, PointLight, SpotLight, RectAreaLight } from 'three';

// GENERATED
class LightProbeDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = LightProbe;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
LightProbeDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-light-probe',
                exportAs: 'ngtLightProbe',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: LightProbeDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
LightProbeDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeLightProbeModule {
}
ThreeLightProbeModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LightProbeDirective],
                exports: [LightProbeDirective],
            },] }
];

// GENERATED

// GENERATED
class AmbientLightDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = AmbientLight;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
AmbientLightDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-ambient-light',
                exportAs: 'ngtAmbientLight',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: AmbientLightDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
AmbientLightDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeAmbientLightModule {
}
ThreeAmbientLightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [AmbientLightDirective],
                exports: [AmbientLightDirective],
            },] }
];

// GENERATED

// GENERATED
class AmbientLightProbeDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = AmbientLightProbe;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
AmbientLightProbeDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-ambient-light-probe',
                exportAs: 'ngtAmbientLightProbe',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: AmbientLightProbeDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
AmbientLightProbeDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeAmbientLightProbeModule {
}
ThreeAmbientLightProbeModule.decorators = [
    { type: NgModule, args: [{
                declarations: [AmbientLightProbeDirective],
                exports: [AmbientLightProbeDirective],
            },] }
];

// GENERATED

// GENERATED
class HemisphereLightDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = HemisphereLight;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
HemisphereLightDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-hemisphere-light',
                exportAs: 'ngtHemisphereLight',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: HemisphereLightDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
HemisphereLightDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeHemisphereLightModule {
}
ThreeHemisphereLightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [HemisphereLightDirective],
                exports: [HemisphereLightDirective],
            },] }
];

// GENERATED

// GENERATED
class HemisphereLightProbeDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = HemisphereLightProbe;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
HemisphereLightProbeDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-hemisphere-light-probe',
                exportAs: 'ngtHemisphereLightProbe',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: HemisphereLightProbeDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
HemisphereLightProbeDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeHemisphereLightProbeModule {
}
ThreeHemisphereLightProbeModule.decorators = [
    { type: NgModule, args: [{
                declarations: [HemisphereLightProbeDirective],
                exports: [HemisphereLightProbeDirective],
            },] }
];

// GENERATED

// GENERATED
class DirectionalLightDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = DirectionalLight;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
DirectionalLightDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-directional-light',
                exportAs: 'ngtDirectionalLight',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: DirectionalLightDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
DirectionalLightDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeDirectionalLightModule {
}
ThreeDirectionalLightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DirectionalLightDirective],
                exports: [DirectionalLightDirective],
            },] }
];

// GENERATED

// GENERATED
class PointLightDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = PointLight;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
PointLightDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-point-light',
                exportAs: 'ngtPointLight',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: PointLightDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PointLightDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreePointLightModule {
}
ThreePointLightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PointLightDirective],
                exports: [PointLightDirective],
            },] }
];

// GENERATED

// GENERATED
class SpotLightDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = SpotLight;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
SpotLightDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-spot-light',
                exportAs: 'ngtSpotLight',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: SpotLightDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
SpotLightDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeSpotLightModule {
}
ThreeSpotLightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SpotLightDirective],
                exports: [SpotLightDirective],
            },] }
];

// GENERATED

// GENERATED
class RectAreaLightDirective extends ThreeLight {
    constructor() {
        super(...arguments);
        this.lightType = RectAreaLight;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
RectAreaLightDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-rect-area-light',
                exportAs: 'ngtRectAreaLight',
                providers: [
                    {
                        provide: ThreeObject3d,
                        useExisting: RectAreaLightDirective,
                    },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
RectAreaLightDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeRectAreaLightModule {
}
ThreeRectAreaLightModule.decorators = [
    { type: NgModule, args: [{
                declarations: [RectAreaLightDirective],
                exports: [RectAreaLightDirective],
            },] }
];

// GENERATED

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { AmbientLightDirective, AmbientLightProbeDirective, DirectionalLightDirective, HemisphereLightDirective, HemisphereLightProbeDirective, LightProbeDirective, PointLightDirective, RectAreaLightDirective, SpotLightDirective, ThreeAmbientLightModule, ThreeAmbientLightProbeModule, ThreeDirectionalLightModule, ThreeHemisphereLightModule, ThreeHemisphereLightProbeModule, ThreeLightProbeModule, ThreePointLightModule, ThreeRectAreaLightModule, ThreeSpotLightModule };
//# sourceMappingURL=angular-three-core-lights.js.map
