import { ThreeMaterial } from '@angular-three/core';
import { Directive, NgModule } from '@angular/core';
import { ShadowMaterial, SpriteMaterial, RawShaderMaterial, ShaderMaterial, PointsMaterial, MeshPhysicalMaterial, MeshStandardMaterial, MeshPhongMaterial, MeshToonMaterial, MeshNormalMaterial, MeshLambertMaterial, MeshDepthMaterial, MeshDistanceMaterial, MeshBasicMaterial, MeshMatcapMaterial, LineDashedMaterial, LineBasicMaterial } from 'three';

// GENERATED
class ShadowMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = ShadowMaterial;
    }
}
ShadowMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-shadow-material',
                exportAs: 'ngtShadowMaterial',
                providers: [{ provide: ThreeMaterial, useExisting: ShadowMaterialDirective }],
            },] }
];

// GENERATED
class ThreeShadowMaterialModule {
}
ThreeShadowMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ShadowMaterialDirective],
                exports: [ShadowMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class SpriteMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = SpriteMaterial;
    }
}
SpriteMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-sprite-material',
                exportAs: 'ngtSpriteMaterial',
                providers: [{ provide: ThreeMaterial, useExisting: SpriteMaterialDirective }],
            },] }
];

// GENERATED
class ThreeSpriteMaterialModule {
}
ThreeSpriteMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SpriteMaterialDirective],
                exports: [SpriteMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class RawShaderMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = RawShaderMaterial;
    }
}
RawShaderMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-raw-shader-material',
                exportAs: 'ngtRawShaderMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: RawShaderMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeRawShaderMaterialModule {
}
ThreeRawShaderMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [RawShaderMaterialDirective],
                exports: [RawShaderMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class ShaderMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = ShaderMaterial;
    }
}
ShaderMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-shader-material',
                exportAs: 'ngtShaderMaterial',
                providers: [{ provide: ThreeMaterial, useExisting: ShaderMaterialDirective }],
            },] }
];

// GENERATED
class ThreeShaderMaterialModule {
}
ThreeShaderMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ShaderMaterialDirective],
                exports: [ShaderMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class PointsMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = PointsMaterial;
    }
}
PointsMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-points-material',
                exportAs: 'ngtPointsMaterial',
                providers: [{ provide: ThreeMaterial, useExisting: PointsMaterialDirective }],
            },] }
];

// GENERATED
class ThreePointsMaterialModule {
}
ThreePointsMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PointsMaterialDirective],
                exports: [PointsMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshPhysicalMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshPhysicalMaterial;
    }
}
MeshPhysicalMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-physical-material',
                exportAs: 'ngtMeshPhysicalMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshPhysicalMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshPhysicalMaterialModule {
}
ThreeMeshPhysicalMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshPhysicalMaterialDirective],
                exports: [MeshPhysicalMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshStandardMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshStandardMaterial;
    }
}
MeshStandardMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-standard-material',
                exportAs: 'ngtMeshStandardMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshStandardMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshStandardMaterialModule {
}
ThreeMeshStandardMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshStandardMaterialDirective],
                exports: [MeshStandardMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshPhongMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshPhongMaterial;
    }
}
MeshPhongMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-phong-material',
                exportAs: 'ngtMeshPhongMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshPhongMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshPhongMaterialModule {
}
ThreeMeshPhongMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshPhongMaterialDirective],
                exports: [MeshPhongMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshToonMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshToonMaterial;
    }
}
MeshToonMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-toon-material',
                exportAs: 'ngtMeshToonMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshToonMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshToonMaterialModule {
}
ThreeMeshToonMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshToonMaterialDirective],
                exports: [MeshToonMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshNormalMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshNormalMaterial;
    }
}
MeshNormalMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-normal-material',
                exportAs: 'ngtMeshNormalMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshNormalMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshNormalMaterialModule {
}
ThreeMeshNormalMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshNormalMaterialDirective],
                exports: [MeshNormalMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshLambertMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshLambertMaterial;
    }
}
MeshLambertMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-lambert-material',
                exportAs: 'ngtMeshLambertMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshLambertMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshLambertMaterialModule {
}
ThreeMeshLambertMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshLambertMaterialDirective],
                exports: [MeshLambertMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshDepthMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshDepthMaterial;
    }
}
MeshDepthMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-depth-material',
                exportAs: 'ngtMeshDepthMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshDepthMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshDepthMaterialModule {
}
ThreeMeshDepthMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshDepthMaterialDirective],
                exports: [MeshDepthMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshDistanceMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshDistanceMaterial;
    }
}
MeshDistanceMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-distance-material',
                exportAs: 'ngtMeshDistanceMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshDistanceMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshDistanceMaterialModule {
}
ThreeMeshDistanceMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshDistanceMaterialDirective],
                exports: [MeshDistanceMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshBasicMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshBasicMaterial;
    }
}
MeshBasicMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-basic-material',
                exportAs: 'ngtMeshBasicMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshBasicMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshBasicMaterialModule {
}
ThreeMeshBasicMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshBasicMaterialDirective],
                exports: [MeshBasicMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class MeshMatcapMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = MeshMatcapMaterial;
    }
}
MeshMatcapMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-mesh-matcap-material',
                exportAs: 'ngtMeshMatcapMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: MeshMatcapMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeMeshMatcapMaterialModule {
}
ThreeMeshMatcapMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MeshMatcapMaterialDirective],
                exports: [MeshMatcapMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class LineDashedMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = LineDashedMaterial;
    }
}
LineDashedMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-line-dashed-material',
                exportAs: 'ngtLineDashedMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: LineDashedMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeLineDashedMaterialModule {
}
ThreeLineDashedMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LineDashedMaterialDirective],
                exports: [LineDashedMaterialDirective],
            },] }
];

// GENERATED

// GENERATED
class LineBasicMaterialDirective extends ThreeMaterial {
    constructor() {
        super(...arguments);
        this.materialType = LineBasicMaterial;
    }
}
LineBasicMaterialDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-line-basic-material',
                exportAs: 'ngtLineBasicMaterial',
                providers: [
                    { provide: ThreeMaterial, useExisting: LineBasicMaterialDirective },
                ],
            },] }
];

// GENERATED
class ThreeLineBasicMaterialModule {
}
ThreeLineBasicMaterialModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LineBasicMaterialDirective],
                exports: [LineBasicMaterialDirective],
            },] }
];

// GENERATED

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { LineBasicMaterialDirective, LineDashedMaterialDirective, MeshBasicMaterialDirective, MeshDepthMaterialDirective, MeshDistanceMaterialDirective, MeshLambertMaterialDirective, MeshMatcapMaterialDirective, MeshNormalMaterialDirective, MeshPhongMaterialDirective, MeshPhysicalMaterialDirective, MeshStandardMaterialDirective, MeshToonMaterialDirective, PointsMaterialDirective, RawShaderMaterialDirective, ShaderMaterialDirective, ShadowMaterialDirective, SpriteMaterialDirective, ThreeLineBasicMaterialModule, ThreeLineDashedMaterialModule, ThreeMeshBasicMaterialModule, ThreeMeshDepthMaterialModule, ThreeMeshDistanceMaterialModule, ThreeMeshLambertMaterialModule, ThreeMeshMatcapMaterialModule, ThreeMeshNormalMaterialModule, ThreeMeshPhongMaterialModule, ThreeMeshPhysicalMaterialModule, ThreeMeshStandardMaterialModule, ThreeMeshToonMaterialModule, ThreePointsMaterialModule, ThreeRawShaderMaterialModule, ThreeShaderMaterialModule, ThreeShadowMaterialModule, ThreeSpriteMaterialModule };
//# sourceMappingURL=angular-three-core-materials.js.map
