import { ThreeObject3dMaterialGeometry, ThreeObject3d, OBJECT_3D_CONTROLLER_PROVIDER, ThreeMaterial, ThreeBufferGeometry } from '@angular-three/core';
import { Directive, ContentChildren, ContentChild, NgModule } from '@angular/core';
import { Points } from 'three';

class PointsDirective extends ThreeObject3dMaterialGeometry {
    set materialDirectives(v) {
        if (this.material == null && v) {
            this.material =
                v.length === 1
                    ? v.first.material
                    : v.toArray().map((dir) => dir.material);
        }
    }
    set bufferGeometryDirective(v) {
        if (this.geometry == null) {
            this.geometry = v.bufferGeometry;
        }
    }
    get objectType() {
        return Points;
    }
}
PointsDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-points',
                exportAs: 'ngtPoints',
                providers: [
                    { provide: ThreeObject3d, useExisting: PointsDirective },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];
PointsDirective.propDecorators = {
    materialDirectives: [{ type: ContentChildren, args: [ThreeMaterial,] }],
    bufferGeometryDirective: [{ type: ContentChild, args: [ThreeBufferGeometry,] }]
};

class ThreePointsModule {
}
ThreePointsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [PointsDirective],
                exports: [PointsDirective],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { PointsDirective, ThreePointsModule };
//# sourceMappingURL=angular-three-core-points.js.map
