import { Directive, NgModule } from '@angular/core';
import { ThreeObject3d, OBJECT_3D_CONTROLLER_PROVIDER } from '@angular-three/core';
import { Scene } from 'three';

class SceneDirective extends ThreeObject3d {
    ngOnInit() {
        this.init();
    }
    initObject() {
        this._scene = new Scene();
    }
    get object3d() {
        return this._scene;
    }
}
SceneDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-scene',
                exportAs: 'ngtScene',
                providers: [
                    { provide: ThreeObject3d, useExisting: SceneDirective },
                    OBJECT_3D_CONTROLLER_PROVIDER,
                ],
            },] }
];

class ThreeSceneModule {
}
ThreeSceneModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SceneDirective],
                exports: [SceneDirective],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { SceneDirective, ThreeSceneModule };
//# sourceMappingURL=angular-three-core-scene.js.map
