import { Directive, Inject, NgModule } from '@angular/core';
import { AnimationStore } from '@angular-three/core';
import { DOCUMENT } from '@angular/common';
import Stats from 'three/examples/jsm/libs/stats.module';

class StatsDirective {
    constructor(animationStore, document) {
        this.animationStore = animationStore;
        this.document = document;
    }
    ngOnInit() {
        this.stats = Stats();
        this.document.body.appendChild(this.stats.dom);
        this.animationStore.registerAnimation(() => {
            this.stats.update();
        });
    }
    ngOnDestroy() {
        this.stats.end();
    }
}
StatsDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-stats',
                exportAs: 'ngtStats',
            },] }
];
StatsDirective.ctorParameters = () => [
    { type: AnimationStore },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];

class ThreeStatsModule {
}
ThreeStatsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [StatsDirective],
                exports: [StatsDirective],
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { StatsDirective, ThreeStatsModule };
//# sourceMappingURL=angular-three-core-stats.js.map
