import { ThreeTexture } from '@angular-three/core';
import { Directive, Input, NgModule } from '@angular/core';
import { CanvasTexture, CompressedTexture, CubeTexture, DataTexture, DataTexture2DArray, DataTexture3D, DepthTexture, VideoTexture } from 'three';

// GENERATED
class CanvasTextureDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = CanvasTexture;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
CanvasTextureDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-canvas-texture',
                exportAs: 'ngtCanvasTexture',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: CanvasTextureDirective,
                    },
                ],
            },] }
];
CanvasTextureDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeCanvasTextureModule {
}
ThreeCanvasTextureModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CanvasTextureDirective],
                exports: [CanvasTextureDirective],
            },] }
];

// GENERATED

// GENERATED
class CompressedTextureDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = CompressedTexture;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
CompressedTextureDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-compressed-texture',
                exportAs: 'ngtCompressedTexture',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: CompressedTextureDirective,
                    },
                ],
            },] }
];
CompressedTextureDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeCompressedTextureModule {
}
ThreeCompressedTextureModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CompressedTextureDirective],
                exports: [CompressedTextureDirective],
            },] }
];

// GENERATED

// GENERATED
class CubeTextureDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = CubeTexture;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
CubeTextureDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-cube-texture',
                exportAs: 'ngtCubeTexture',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: CubeTextureDirective,
                    },
                ],
            },] }
];
CubeTextureDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeCubeTextureModule {
}
ThreeCubeTextureModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CubeTextureDirective],
                exports: [CubeTextureDirective],
            },] }
];

// GENERATED

// GENERATED
class DataTextureDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = DataTexture;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
DataTextureDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-data-texture',
                exportAs: 'ngtDataTexture',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: DataTextureDirective,
                    },
                ],
            },] }
];
DataTextureDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeDataTextureModule {
}
ThreeDataTextureModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DataTextureDirective],
                exports: [DataTextureDirective],
            },] }
];

// GENERATED

// GENERATED
class DataTexture2DArrayDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = DataTexture2DArray;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
DataTexture2DArrayDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-data-texture2-darray',
                exportAs: 'ngtDataTexture2DArray',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: DataTexture2DArrayDirective,
                    },
                ],
            },] }
];
DataTexture2DArrayDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeDataTexture2DArrayModule {
}
ThreeDataTexture2DArrayModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DataTexture2DArrayDirective],
                exports: [DataTexture2DArrayDirective],
            },] }
];

// GENERATED

// GENERATED
class DataTexture3DDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = DataTexture3D;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
DataTexture3DDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-data-texture3-d',
                exportAs: 'ngtDataTexture3D',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: DataTexture3DDirective,
                    },
                ],
            },] }
];
DataTexture3DDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeDataTexture3DModule {
}
ThreeDataTexture3DModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DataTexture3DDirective],
                exports: [DataTexture3DDirective],
            },] }
];

// GENERATED

// GENERATED
class DepthTextureDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = DepthTexture;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
DepthTextureDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-depth-texture',
                exportAs: 'ngtDepthTexture',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: DepthTextureDirective,
                    },
                ],
            },] }
];
DepthTextureDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeDepthTextureModule {
}
ThreeDepthTextureModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DepthTextureDirective],
                exports: [DepthTextureDirective],
            },] }
];

// GENERATED

// GENERATED
class VideoTextureDirective extends ThreeTexture {
    constructor() {
        super(...arguments);
        this.textureType = VideoTexture;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
VideoTextureDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-video-texture',
                exportAs: 'ngtVideoTexture',
                providers: [
                    {
                        provide: ThreeTexture,
                        useExisting: VideoTextureDirective,
                    },
                ],
            },] }
];
VideoTextureDirective.propDecorators = {
    args: [{ type: Input }]
};

// GENERATED
class ThreeVideoTextureModule {
}
ThreeVideoTextureModule.decorators = [
    { type: NgModule, args: [{
                declarations: [VideoTextureDirective],
                exports: [VideoTextureDirective],
            },] }
];

// GENERATED

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { CanvasTextureDirective, CompressedTextureDirective, CubeTextureDirective, DataTexture2DArrayDirective, DataTexture3DDirective, DataTextureDirective, DepthTextureDirective, ThreeCanvasTextureModule, ThreeCompressedTextureModule, ThreeCubeTextureModule, ThreeDataTexture2DArrayModule, ThreeDataTexture3DModule, ThreeDataTextureModule, ThreeDepthTextureModule, ThreeVideoTextureModule, VideoTextureDirective };
//# sourceMappingURL=angular-three-core-textures.js.map
