import { EventEmitter } from '@angular/core';
import { Object3D } from 'three';
import { ThreeColor, ThreeEuler, ThreeEvent, ThreeQuaternion, ThreeVector3, UnknownRecord } from '../typings';
import { Controller } from './controller.abstract';
export declare class Object3dControllerDirective extends Controller {
    name?: string;
    position?: ThreeVector3;
    rotation?: ThreeEuler;
    quaternion?: ThreeQuaternion;
    scale?: ThreeVector3;
    color?: ThreeColor;
    userData?: UnknownRecord;
    dispose?: () => void;
    castShadow: boolean;
    receiveShadow: boolean;
    visible: boolean;
    matrixAutoUpdate: boolean;
    appendMode: 'immediate' | 'root';
    appendTo?: Object3D;
    click: EventEmitter<ThreeEvent<MouseEvent>>;
    contextmenu: EventEmitter<ThreeEvent<MouseEvent>>;
    dblclick: EventEmitter<ThreeEvent<MouseEvent>>;
    pointerup: EventEmitter<ThreeEvent<PointerEvent>>;
    pointerdown: EventEmitter<ThreeEvent<PointerEvent>>;
    pointerover: EventEmitter<ThreeEvent<PointerEvent>>;
    pointerout: EventEmitter<ThreeEvent<PointerEvent>>;
    pointerenter: EventEmitter<ThreeEvent<PointerEvent>>;
    pointerleave: EventEmitter<ThreeEvent<PointerEvent>>;
    pointermove: EventEmitter<ThreeEvent<PointerEvent>>;
    pointermissed: EventEmitter<ThreeEvent<PointerEvent>>;
    pointercancel: EventEmitter<ThreeEvent<PointerEvent>>;
    wheel: EventEmitter<ThreeEvent<WheelEvent>>;
}
